# uc machine token

Print the local machine's token for adding it to a cluster.

```
uc machine token [flags]
```

## Options

```
  -d, --data-dir string   Directory for storing persistent machine state. (default "/var/lib/uncloud")
  -h, --help              help for token
```

## Options inherited from parent commands

```
      --connect string          Connect to a remote cluster machine without using the Uncloud configuration file. [$UNCLOUD_CONNECT]
                                Format: [ssh://]user@host[:port] or tcp://host:port
      --uncloud-config string   Path to the Uncloud configuration file. [$UNCLOUD_CONFIG] (default "~/.config/uncloud/config.yaml")
```

## See also

* [uc machine](uc_machine.md)	 - Manage machines in an Uncloud cluster.

